// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently
//

#pragma once

#include "targetver.h"

// #define new DEBUG_NEW

#include <string>
#include <list>
#include <vector>
#include <set>
#include <fstream>
#include <sstream>
#include <iostream>
#include <map>
#include <queue>

#include <math.h>

#ifdef _WIN32
#include "windows.h"
#include "winbase.h"
#include "windef.h"

#define RUNSCRIPT(f) f				// to run a script
#define DELFILE(f) "del /Q " f		// command to delete a file
#define RENAME(f) "ren " f		// command to delete a file

#endif

#ifndef _WIN32
#include <string.h>
#include "strings.h"
#include <stdlib.h>
#define stricmp strcasecmp

#define DELFILE(f) "rm -f " f		// command to delete a file
// #define RUNSCRIPT(f) f	    // to run a script
#define RUNSCRIPT(f) ((string)"./"+(string)f).c_str()
#define RENAME(f) "rename " f		// command to delete a file
#endif

#ifdef _WIN32
#define stricmp _stricmp
#endif

#ifndef UINT_MAX
#define UINT_MAX 4294967295
#endif

#define DERANDCONST 2
//#define rand() (( rand() % DERANDCONST ) * ( UINT_MAX / (DERANDCONST-1) ))
//#define rand() 0

// TODO: reference additional headers your program requires here
